Bug 790800 - [GUVNOR-1297] After saving an asset, it is not possible to save again without re-opening it
[GUVNOR-1297] After saving an asset, it is not possible to save again without...
Status: VERIFIED
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: BRM (Guvnor) (Show other bugs)
BRMS 5.3.0.GA
Unspecified Unspecified
unspecified Severity urgent
: ---
: BRMS 5.3.0.GA
Assigned To: Mark Proctor
Jiri Locker
: Regression, TestBlocker
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-15 07:48 EST by Jiri Locker
Modified: 2013-11-07 17:14 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
After saving an asset in the JBoss BRMS user interface it was an error occurred where it was not possible to save the asset again without reopening the asset, this meant changes to the asset could be lost after as it was necessary to close the asset, before any changes could be saved. This has been resolved and it is now possible to save the asset multiple times without repeatedly opening and closing the asset.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker GUVNOR-1297 Major Closed After saving an asset, it is not possible to save again without re-opening it 2013-01-03 23:15:23 EST

  None (edit)
Description Jiri Locker 2012-02-15 07:48:29 EST
Description of problem:
Might have been re-introduced when fixing bug 784902.

Affects rules and test scenarios. Some asset types are not affected (e.g. dsl configurations, enums)

Version-Release number of selected component (if applicable):
5.3.0 ER4

How reproducible:
always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Ryan Zhang 2012-02-16 07:32:14 EST
The platform for reproducing the error is availabe at http://jawa05.englab.brq.redhat.com/candidate/BRMS-5.3.0-ER4/brms-p-5.3.0.BRMS-ER4-standalone.zip at present.
Comment 2 Jiri Locker 2012-02-27 13:02:10 EST
Fixed in BRMS 5.3.0 ER4.
Comment 6 lcarlon 2012-06-03 22:39:04 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
After saving an asset in the JBoss BRMS user interface it was an error occurred where it was not possible to save the asset again without reopening the asset, this meant changes to the asset could be lost after as it was necessary to close the asset, before any changes could be saved. This has been resolved and it is now possible to save the asset multiple times without repeatedly opening and closing the asset.

Note You need to log in before you can comment on or make changes to this bug.